Package htsjdk.samtools.util.htsget

# Enum Class HtsgetFormat

java.lang.Object
java.lang.Enum<HtsgetFormat>
htsjdk.samtools.util.htsget.HtsgetFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<HtsgetFormat>`, `Constable`

public enum HtsgetFormat extends Enum<HtsgetFormat>
Formats currently supported by htsget as defined by spec

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BAM`
`BCF`
`CRAM`
`VCF`

## Method Summary

Modifier and Type
Method
Description
`static HtsgetFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HtsgetFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BAM

public static final HtsgetFormat BAM

### CRAM

public static final HtsgetFormat CRAM

### VCF

public static final HtsgetFormat VCF

### BCF

public static final HtsgetFormat BCF

## Method Details

### values

public static HtsgetFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static HtsgetFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null